Subject: Book Review

From: [email-masked] (Jeff Owens)
Date: Wed, 22 Mar 1995 08:20:13 -0500

This year a new gardening book was published and appears
in the Real Goods catalog.  The title is "Solar Gardening"
by Leandre & Gretchen Poisson.  Yesterday my wife got
a copy from the library and I read parts of it.

The cover has a promotion by Jeff Cox which says "The best
book on season extending I've ever seen".  The book does
concentrate on solar season extenders and presents a
somewhat unique system of rigid cloches.

My overall impression is that the book is good, but not
exceptional.  The book is definitely worth checking out
and reading.  I personally would not buy the book
because of the price ($25) and because it is not a
reference tool which would be used often.  

Jeff (vote with your lifestyle)